Vai al contenuto
Inu-Yasha

Problema php per upgrade IPB

Recommended Posts

Inu-Yasha

Sono in procinto di passare dalla versione IPB 2.x.x alla 3, ma ho un problema: attualmente nel mio host è montato il php 4.4.9 (il mysql è 5.0.90), mentre nelle specifiche della Invision è richiesto il php 5.1.0 o superiore. Nel pannello di controllo dell'Hostinguser_popup.png ho la possibilità di fare l'upgrade alla versione 5 del php (non dice la versione esatta), ma ho paura di quando farlo per evitare corruzione nelle tabelle. Credo che la cosa migliore da fare sia caricare i files dell'upgrade della board sull'ftp, poi fare l'upgrade del php ed infine fare quello dell'ipb vero e proprio.

Voi che ne dite? Pensate che sia la soluzione migliore?

Grazie per i suggerimenti. :P

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
dd1993

ricorda che quando si fa un upgrade, bisogna sempre fare il backup dei file e soprattutto del database....in caso che qualcosa vada storto.

per la tua domanda....suppongo che venga messo alla ultima versione...questo devi chiederlo al tuo host(mandagli un ticket)ma comunque dalla 5 dovrebbe funzionare....chiedi comunque al tuo host....

Quale usi?

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
dd1993

cmq è meglio fare il backup di tutto, poi fare l'aggiornamento al php e poi inviare i file di ipb sul server.

Poi l'aggiornamento vero e proprio.

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Inu-Yasha

Premesso che sono il dio dei backup (:P), quello che volevo sapere non è se il forum uppato funzionerà col 5 (quello dovrebbe essere scontato), ma se il passaggio da 4 a 5 potrebbe modificare/rovinare delle tabelle, che poi potrebbero rimanere rovinate al passaggio a IPB3.

Grazie najaru per la tua disponibilità.

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
carlino1994

Ciao, il passaggio da PHP4 a PHP5, non tocca per niente il database, neanche i files.

L'unica cosa che fa è dire al web server di utilizzare per gli script PHP, le librerie del PHP5 invece del PHP4.

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Inu-Yasha

non puoi fare il paggaggio del php PRIMA di fare l'upgrade del forum? IPB2 non è compatibile con php5?

Infatti è quello che vorrei fare, sperando che vada tutto OK. La faccenda della compatibilità sto cercando di verificarla...

Ciao, il passaggio da PHP4 a PHP5, non tocca per niente il database, neanche i files.

L'unica cosa che fa è dire al web server di utilizzare per gli script PHP, le librerie del PHP5 invece del PHP4.

E in che modo potrei farlo? Non sarà automatico quando farò partire lo script dell'upgrade? Grazie. :)

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
carlino1994

Su che hoster sei? Ogni servizio di Hostinguser_popup.png ha un proprio pannello da cui puoi modificare istantaneamente la versione del PHP in uso.

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Inu-Yasha

Su che hoster sei? Ogni servizio di Hostinguser_popup.png ha un proprio pannello da cui puoi modificare istantaneamente la versione del PHP in uso.

Sono con Lunarpages, ed infatti ho scritto qui sopra che nel pdc c'è la possibilità di fare l'upgrade (ed anche di tornare indietro, cosa che mi ha sorpreso...).

Il mio dubbio è che succeda qualcosa durante il cambio, e ti spiego il perchè: dato che ho un db gigantesco (oltre 300 mega) voglio cercare il più possibile di evitare di dover poi riuppare tutto se qualcosa andasse storto.

Il fatto è che sto provando in locale (con EasyPHP in varie versioni) a rimontare il forum e fare le prove di upgrade: laddove uso una versione vecchia (php 4.x.x, mysql 4.x) riesco ad uppare il database con bigdump e tutto va bene; invece con la nuova versione (php 5.x, mysql 5.x) durante l'upload del db mi ritrovo errori. Non essendo un esperto di database e di compatibilità tra questi ultimi sto cercando di capire come evitare i problemi.

Non ve l'avevo detto che ero contorto, eh? :) :) :D

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Crea un account o accedi per lasciare un commento

You need to be a member in order to leave a comment

Crea un account

Iscriviti per un nuovo account nella nostra comunità. È facile!

Registra un nuovo account

Accedi

Sei già registrato? Accedi qui.

Accedi Ora


×